package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 lab_risk_planjoinsub
 *
 * @author zd
 * @date 2022-03-03
 */
@ApiModel("【请填写功能名称】")
public class LabRiskPlanjoinsub extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 预案主键id */
    @Excel(name = "预案主键id")
    @ApiModelProperty(value = "预案主键id")
    private Long riskPlanId;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 0是通用，1是自己创建的预案 */
    @Excel(name = "0是通用，1是自己创建的预案")
    @ApiModelProperty(value = "0是通用，1是自己创建的预案")
    private Long joinStatus;
    /** 创建人id */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long userId;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRiskPlanId(Long riskPlanId)
    {
        this.riskPlanId = riskPlanId;
    }

    public Long getRiskPlanId()
    {
        return riskPlanId;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setJoinStatus(Long joinStatus)
    {
        this.joinStatus = joinStatus;
    }

    public Long getJoinStatus()
    {
        return joinStatus;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("riskPlanId", getRiskPlanId())
            .append("subjectId", getSubjectId())
            .append("joinStatus", getJoinStatus())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
